Subject: Re: no pthread_spinlock_t on Mac OS 10.6.4

From: Bruno Haible <[email-masked]>
Date: Tue, 21 Sep 2010 19:40:43 +0200

Paul Eggert wrote:
> the problem is that coreutils does not need and does not want
> that multithreaded access, and yet it has to build the multithreaded
> support anyway.  ...
> It'd be better if applications could say "I don't need gnulib to be
> multithread-safe, and please don't bother with thread-safety"

You can do so by inserting
  gl_use_threads_default=no
in your configure.ac, before the invocations of gl_INIT_EARLY and gl_INIT.

Users who install coreutils can do so by passing the option --disable-threads.

But beware: since some coreutils programs _are_ multithreaded (namely,
'sort'), this option can introduce bugs, if you don't control very carefully
which API you invoke while the concurrent threads are running.

Bruno